Set zephyr EXACT version


Rodrigo Brochado
 

Hello,

How can I restrain zephyr to be at a specific version on my application CmakeLists.txt?

I've done this:
find_package(Zephyr 2.7.0 EXACT)

even on the hello_world sample and it compiled normally with 2.4.0 without complains. I've also unset ZEPHYR_BASE with no success. I've followed this guide:
https://docs.zephyrproject.org/latest/guides/zephyr_cmake_package.html#zephyr-cmake-package-version

Thanks!

Join users@lists.zephyrproject.org to automatically receive all group messages.